| patmatdb

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Search protein sequences with a sequence motif

## Description

patmatdb searches the input protein sequences for the specified sequence motif. The output is a standard EMBOSS report file including the number of matches between the motif and each input sequence, length of match, start and end positions of match, and the motif-sequence alignment. Patterns for patmatdb are based on the format of pattern used in the PROSITE database, with the difference that the terminating dot '.' and the hyphens, '-', between the characters are optional.

## Algorithm

Patterns for patmatdb are based on the format of pattern used in the PROSITE database, with the difference that the terminating dot '.' and the hyphens, '-', between the characters are optional. For example: `[DE](2)HS{P}X(2)PX(2,4)C` means two Asps or Glus in any order followed by His, Ser, any residue other then Pro, then two of any residue followed by Pro followed by two to four of any residue followed by Cys. The search is case-independent, so `AAA` matches `aaa`. (Any string of at least 2 characters).

## Usage

Here is a sample session with patmatdb

    % patmatdb
    Search protein sequences with a sequence motif
    Input protein sequence(s): tsw:*
    Protein motif to search for: st[ty]s
    Output report [cru4_arath.patmatdb]:

Go to the input files for this example
Go to the output files for this example

## Command line arguments

    Search protein sequences with a sequence motif
    Version: EMBOSS:6.6.0.0

       Standard (Mandatory) qualifiers:
      [-sequence]          seqall     Protein sequence(s) filename and optional
                                      format, or reference (input USA)
      [-motif]             string     Patterns for patmatdb are based on the
                                      format of pattern used in the PROSITE
                                      database. For example:
                                      '[DE](2)HS{P}X(2)PX(2,4)C' means two Asps or
                                      Glus in any order followed by His, Ser, any
                                      residue other then Pro, then two of any
                                      residue followed by Pro followed by two to
                                      four of any residue followed by Cys. The
                                      search is case-independent, so 'AAA' matches
                                      'aaa'. (Any string of at least 2
                                      characters)
      [-outfile]           report     [*.patmatdb] Output report file name
                                      (default -rformat dbmotif)

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-sequence" associated qualifiers
       -sbegin1            integer    Start of each sequence to be used
       -send1              integer    End of each sequence to be used
       -sreverse1          boolean    Reverse (if DNA)
       -sask1              boolean    Ask for begin/end/reverse
       -snucleotide1       boolean    Sequence is nucleotide
       -sprotein1          boolean    Sequence is protein
       -slower1            boolean    Make lower case
       -supper1            boolean    Make upper case
       -scircular1         boolean    Sequence is circular
       -squick1            boolean    Read id and sequence only
       -sformat1           string     Input sequence format
       -iquery1            string     Input query fields or ID list
       -ioffset1           integer    Input start position offset
       -sdbname1           string     Database name
       -sid1               string     Entryname
       -ufo1               string     UFO features
       -fformat1           string     Features format
       -fopenfile1         string     Features file name

       "-outfile" associated qualifiers
       -rformat3           string     Report format
       -rname3             string     Base file name
       -rextension3        string     File name extension
       -rdirectory3        string     Output directory
       -raccshow3          boolean    Show accession number in the report
       -rdesshow3          boolean    Show description in the report
       -rscoreshow3        boolean    Show the score in the report
       -rstrandshow3       boolean    Show the nucleotide strand in the report
       -rusashow3          boolean    Show the full USA in the report
       -rmaxall3           integer    Maximum total hits to report
       -rmaxseq3           integer    Maximum hits to report for one sequence

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-sequence] (Parameter 1) | seqall | Protein sequence(s) filename and optional format, or reference (input USA) | Readable sequence(s) | Required

[-motif]
(Parameter 2)

string

Patterns for patmatdb are based on the format of pattern used in the PROSITE database. For example: '[DE](2)HS{P}X(2)PX(2,4)C' means two Asps or Glus in any order followed by His, Ser, any residue other then Pro, then two of any residue followed by Pro followed by two to four of any residue followed by Cys. The search is case-independent, so 'AAA' matches 'aaa'.

Any string of at least 2 characters

Required

[-outfile] (Parameter 3) | report | Output report file name | (default -rformat dbmotif) | <*>.patmatdb
Additional (Optional) qualifiers
(none)
Advanced (Unprompted) qualifiers
(none)
Associated qualifiers
"-sequence" associated seqall qualifiers
-sbegin1 -sbegin_sequence | integer | Start of each sequence to be used | Any integer value | 0
-send1 -send_sequence | integer | End of each sequence to be used | Any integer value | 0
-sreverse1 -sreverse_sequence | boolean | Reverse (if DNA) | Boolean value Yes/No | N
-sask1 -sask_sequence | boolean | Ask for begin/end/reverse | Boolean value Yes/No | N
-snucleotide1 -snucleotide_sequence | boolean | Sequence is nucleotide | Boolean value Yes/No | N
-sprotein1 -sprotein_sequence | boolean | Sequence is protein | Boolean value Yes/No | N
-slower1 -slower_sequence | boolean | Make lower case | Boolean value Yes/No | N
-supper1 -supper_sequence | boolean | Make upper case | Boolean value Yes/No | N
-scircular1 -scircular_sequence | boolean | Sequence is circular | Boolean value Yes/No | N
-squick1 -squick_sequence | boolean | Read id and sequence only | Boolean value Yes/No | N
-sformat1 -sformat_sequence | string | Input sequence format | Any string |
-iquery1 -iquery_sequence | string | Input query fields or ID list | Any string |
-ioffset1 -ioffset_sequence | integer | Input start position offset | Any integer value | 0
-sdbname1 -sdbname_sequence | string | Database name | Any string |
-sid1 -sid_sequence | string | Entryname | Any string |
-ufo1 -ufo_sequence | string | UFO features | Any string |
-fformat1 -fformat_sequence | string | Features format | Any string |
-fopenfile1 -fopenfile_sequence | string | Features file name | Any string |
"-outfile" associated report qualifiers
-rformat3 -rformat_outfile | string | Report format | Any string | dbmotif
-rname3 -rname_outfile | string | Base file name | Any string |
-rextension3 -rextension_outfile | string | File name extension | Any string |
-rdirectory3 -rdirectory_outfile | string | Output directory | Any string |
-raccshow3 -raccshow_outfile | boolean | Show accession number in the report | Boolean value Yes/No | N
-rdesshow3 -rdesshow_outfile | boolean | Show description in the report | Boolean value Yes/No | N
-rscoreshow3 -rscoreshow_outfile | boolean | Show the score in the report | Boolean value Yes/No | Y
-rstrandshow3 -rstrandshow_outfile | boolean | Show the nucleotide strand in the report | Boolean value Yes/No | Y
-rusashow3 -rusashow_outfile | boolean | Show the full USA in the report | Boolean value Yes/No | N
-rmaxall3 -rmaxall_outfile | integer | Maximum total hits to report | Any integer value | 0
-rmaxseq3 -rmaxseq_outfile | integer | Maximum hits to report for one sequence | Any integer value | 0
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

patmatdb reads in one or more protein sequences.

The input is a standard EMBOSS sequence query (also known as a 'USA').

Major sequence database sources defined as standard in EMBOSS installations include srs:embl, srs:uniprot and ensembl

Data can also be read from sequence output in any supported format written by an EMBOSS or third-party application.

The input format can be specified by using the command-line qualifier `-sformat xxx`, where 'xxx' is replaced by the name of the required format. The available format names are: gff (gff3), gff2, embl (em), genbank (gb, refseq), ddbj, refseqp, pir (nbrf), swissprot (swiss, sw), dasgff and debug.

See: http://emboss.sf.net/docs/themes/SequenceFormats.html for further information on sequence formats.

### Input files for usage example

'tsw:*' is a sequence entry in the example protein database 'tsw'

### Pattern specification

Patterns for patmatdb are based on the format of pattern used in the PROSITE database, with the difference that the terminating dot '.' and the hyphens, '-', between the characters are optional.

The PROSITE pattern definition from the PROSITE documentation follows.

- The standard IUPAC one-letter codes for the amino acids are used.
- The symbol `x' is used for a position where any amino acid is accepted.
- Ambiguities are indicated by listing the acceptable amino acids for a given position, between square parentheses `[ ]'. For example: [ALT] stands for Ala or Leu or Thr.
- Ambiguities are also indicated by listing between a pair of curly brackets `{ }' the amino acids that are not accepted at a given position. For example: {AM} stands for any amino acid except Ala and Met.
- Each element in a pattern is separated from its neighbor by a `-'. (Optional in patmatdb).
- Repetition of an element of the pattern can be indicated by following that element with a numerical value or a numerical range between parenthesis. Examples: x(3) corresponds to x-x-x, x(2,4) corresponds to x-x or x-x-x or x-x-x-x.
- When a pattern is restricted to either the N- or C-terminal of a sequence, that pattern either starts with a `<' symbol or respectively ends with a `>' symbol.
- A period ends the pattern. (Optional in patmatdb).

For example, in SWISSPROT entry 100K_RAT you can look for the pattern:

    [DE](2)HS{P}X(2)PX(2,4)C

This means: Two Asps or Glus in any order followed by His, Ser, any residue other then Pro, then two of any residue followed by Pro followed by two to four of any residue followed by Cys.

The search is case-independent, so 'AAA' matches 'aaa'.

## Output file format

The output is a standard EMBOSS report file.

The results can be output in one of several styles by using the command-line qualifier `-rformat xxx`, where 'xxx' is replaced by the name of the required format. The available format names are: embl, genbank, gff, pir, swiss, dasgff, debug, listfile, dbmotif, diffseq, draw, restrict, excel, feattable, motif, nametable, regions, seqtable, simple, srs, table, tagseq.

See: http://emboss.sf.net/docs/themes/ReportFormats.html for further information on report formats.

By default the output is in 'dbmotif' format.

### Output files for usage example

### File: cru4_arath.patmatdb

    ########################################
    # Program: patmatdb
    # Rundate: Mon 15 Jul 2013 12:00:00
    # Commandline: patmatdb
    #    -sequence "tsw:*"
    #    -motif "st[ty]s"
    # Report_format: dbmotif
    # Report_file: cru4_arath.patmatdb
    ########################################

    #=======================================
    #
    # Sequence: GCN4_YEAST     from: 1   to: 281
    # HitCount: 1
    #
    # Motif: ST[TY]S
    #
    #=======================================

    Length = 4
    Start = position 158 of sequence
    End = position 161 of sequence

    SNLEVSTTSFLPTP
         |  |
       158  161

    #---------------------------------------
    #---------------------------------------
    #=======================================
    #
    # Sequence: HD_TAKRU     from: 1   to: 3148
    # HitCount: 1
    #
    # Motif: ST[TY]S
    #
    #=======================================

    Length = 4
    Start = position 1038 of sequence
    End = position 1041 of sequence

    STPASSTTSSAVDP
         |  |
      1038  1041

    #---------------------------------------
    #---------------------------------------
    #=======================================
    #
    # Sequence: PAXI_HUMAN     from: 1   to: 591
    # HitCount: 1
    #
    # Motif: ST[TY]S
    #
    #=======================================

    Length = 4
    Start = position 13 of sequence
    End = position 16 of sequence

    LADLESTTSHISKR
         |  |
        13  16

    #---------------------------------------
    #---------------------------------------

    #---------------------------------------
    # Total_sequences: 100
    # Total_length: 37225
    # Reported_sequences: 3
    # Reported_hitcount: 3
    #---------------------------------------

## Data files

None.

## Notes

None.

## References

1. Bairoch, A., Bucher P. (1994) PROSITE: recent developments. Nucleic Acids Research, Vol 22, No.17 3583-3589.
2. Bairoch, A., (1992) PROSITE: a dictionary of sites and patterns in proteins. Nucleic Acids Research, Vol 20, Supplement, 2013-2018.
3. Peek, J., O'Reilly, T., Loukides, M., (1997) Unix Power Tools, 2nd Edition.
4. Gusfield, D., (1997) Algorithms on strings, Trees and Sequences.
5. Sedgewick, R,. (1990) Algorithms in C.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0

## Known bugs

None.

## See also

Program name | Description
--- | ---
antigenic | Find antigenic sites in proteins
epestfind | Find PEST motifs as potential proteolytic cleavage sites
fuzzpro | Search for patterns in protein sequences
fuzztran | Search for patterns in protein sequences (translated)
patmatmotifs | Scan a protein sequence with motifs from the PROSITE database
preg | Regular expression search of protein sequence(s)
pscan | Scan protein sequence(s) with fingerprints from the PRINTS database
sigcleave | Report on signal cleavage sites in a protein sequence

## Author(s)

Sinead O'Leary formerly at:
HGMP-RC, Genome Campus, Hinxton, Cambridge CB10 1SB, UK

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

Completed April 30 1999.

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None